vqtrain.h File Reference

Definitions of a vector quantizer training functions. More...

`#include <itpp/base/vec.h>`
`#include <itpp/base/mat.h>`
`#include <itpp/base/array.h>`
`#include <itpp/itexports.h>`

Go to the source code of this file.

## Namespaces

namespace | itpp
| itpp namespace

## Functions

ITPP_EXPORT double | itpp::kmeansiter (Array< vec > &DB, mat &codebook)
| ADD DOCUMENTATION HERE.
ITPP_EXPORT mat | itpp::kmeans (Array< vec > &DB, int SIZE, int NOITER=9999, bool VERBOSE=true)
| ADD DOCUMENTATION HERE.
ITPP_EXPORT mat | itpp::lbg (Array< vec > &DB, int SIZE, int NOITER=9999, bool VERBOSE=true)
| ADD DOCUMENTATION HERE.
ITPP_EXPORT mat | itpp::vqtrain (Array< vec > &DB, int SIZE, int NOITER, double STARTSTEP=0.2, bool VERBOSE=true)
| Function for vector quantization training.
ITPP_EXPORT vec | itpp::sqtrain (const vec &inDB, int SIZE)
| ADD DOCUMENTATION HERE.
ITPP_EXPORT ivec | itpp::bitalloc (const vec &variances, int nobits)
| ADD DOCUMENTATION HERE.

## Detailed Description

Definitions of a vector quantizer training functions.

Author
  Thomas Eriksson

Copyright (C) 1995-2010 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file vqtrain.h.

Generated on Mon Jun 10 2024 11:49:28 for IT++ by Doxygen 1.9.8